summaryrefslogtreecommitdiff
path: root/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/MasterPDFEditor/MasterPDFEditor.SlackBuild')
-rw-r--r--office/MasterPDFEditor/MasterPDFEditor.SlackBuild18
1 files changed, 5 insertions, 13 deletions
diff --git a/office/MasterPDFEditor/MasterPDFEditor.SlackBuild b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
index f3612cb057..c5c7a9d679 100644
--- a/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
+++ b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for MasterPDFEditor
-# Copyright 2014-2019 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2014-2021 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=MasterPDFEditor
SRCNAM=master-pdf-editor
-VERSION=${VERSION:-5.6.80}
+VERSION=${VERSION:-5.7.00}
MAJVER=${MAJVER:-5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,21 +42,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
- SOURCEARCH=".i386"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
- SOURCEARCH="i386"
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
SOURCEARCH="-qt5.x86_64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ echo "Architecture is not supported."
+ exit 1
fi
set -e